Subject: Re: repo.or.cz wishes?

From: Jakub Narebski <[email-masked]>
Date: Tue, 28 Aug 2007 01:16:00 +0200

Linus Torvalds wrote:

> As to your TLS example: if we were to do "git over TLS", it would make 
> perfect sense to use either "tls://" (although "gits://" might be more 
> natural, not because tls is wrong, but because people have gotten used to 
> "https://") if we were to have a "secure git" port. Or maybe we'd use the 
> same port number that we already have assigned for git, and just add some 
> "use TLS to authenticate/encrypt", and use "tls://" for that. It makes 
> perfect sense.

I like gits:// idea for "git over TLS", and I'm against "tls://". I wonder
if it would be hard to implement "git overt TLS"? We could resurrect patch
which allowed push over git protocol, onnly restricting pushing to gits
protocol.

-- 
Jakub Narebski
Poland